// This file is generated by WOK (CPPExt). // Please do not edit this file; modify original file instead. // The copyright and license terms as defined for the original file apply to // this header file considered to be the "object code" form of the original source. #ifndef _DsgPrs_AnglePresentation_HeaderFile #define _DsgPrs_AnglePresentation_HeaderFile #ifndef _Standard_HeaderFile #include #endif #ifndef _Standard_Macro_HeaderFile #include #endif #ifndef _Handle_Prs3d_Presentation_HeaderFile #include #endif #ifndef _Handle_Prs3d_Drawer_HeaderFile #include #endif #ifndef _Standard_Real_HeaderFile #include #endif #ifndef _DsgPrs_ArrowSide_HeaderFile #include #endif #ifndef _Standard_Boolean_HeaderFile #include #endif class Prs3d_Presentation; class Prs3d_Drawer; class TCollection_ExtendedString; class gp_Circ; class gp_Pnt; class gp_Dir; class gp_Ax1; //! A framework for displaying angles.
class DsgPrs_AnglePresentation { public: void* operator new(size_t,void* anAddress) { return anAddress; } void* operator new(size_t size) { return Standard::Allocate(size); } void operator delete(void *anAddress) { if (anAddress) Standard::Free((Standard_Address&)anAddress); } //! Draws the presenation of the full angle of a cone.
//! VminCircle - a circle at V parameter = Vmin
//! VmaxCircle - a circle at V parameter = Vmax
//! aCircle - a circle at V parameter from projection of aPosition to axis of the cone
Standard_EXPORT static void Add(const Handle(Prs3d_Presentation)& aPresentation,const Handle(Prs3d_Drawer)& aDrawer,const Standard_Real aVal,const TCollection_ExtendedString& aText,const gp_Circ& aCircle,const gp_Pnt& aPosition,const gp_Pnt& Apex,const gp_Circ& VminCircle,const gp_Circ& VmaxCircle,const Standard_Real aArrowSize) ; //! Draws the representation of the angle
//! defined by dir1 and dir2, centered on
//! CenterPoint, using the offset point OffsetPoint.
//! Lines are drawn to points AttachmentPoint1 and AttachmentPoint2
Standard_EXPORT static void Add(const Handle(Prs3d_Presentation)& aPresentation,const Handle(Prs3d_Drawer)& aDrawer,const Standard_Real theval,const gp_Pnt& CenterPoint,const gp_Pnt& AttachmentPoint1,const gp_Pnt& AttachmentPoint2,const gp_Dir& dir1,const gp_Dir& dir2,const gp_Pnt& OffsetPoint) ; //! Same as above, but contains conversion
//! in Session units....
Standard_EXPORT static void Add(const Handle(Prs3d_Presentation)& aPresentation,const Handle(Prs3d_Drawer)& aDrawer,const Standard_Real theval,const TCollection_ExtendedString& thevalstring,const gp_Pnt& CenterPoint,const gp_Pnt& AttachmentPoint1,const gp_Pnt& AttachmentPoint2,const gp_Dir& dir1,const gp_Dir& dir2,const gp_Pnt& OffsetPoint) ; //! Same as above, may add one or
//! two Arrows according to value
Standard_EXPORT static void Add(const Handle(Prs3d_Presentation)& aPresentation,const Handle(Prs3d_Drawer)& aDrawer,const Standard_Real theval,const TCollection_ExtendedString& thevalstring,const gp_Pnt& CenterPoint,const gp_Pnt& AttachmentPoint1,const gp_Pnt& AttachmentPoint2,const gp_Dir& dir1,const gp_Dir& dir2,const gp_Pnt& OffsetPoint,const DsgPrs_ArrowSide ArrowSide) ; //! Same as above, but axisdir contains the axis direction
//! useful for Revol that can be opened with 180 degrees
Standard_EXPORT static void Add(const Handle(Prs3d_Presentation)& aPresentation,const Handle(Prs3d_Drawer)& aDrawer,const Standard_Real theval,const TCollection_ExtendedString& thevalstring,const gp_Pnt& CenterPoint,const gp_Pnt& AttachmentPoint1,const gp_Pnt& AttachmentPoint2,const gp_Dir& dir1,const gp_Dir& dir2,const gp_Dir& axisdir,const gp_Pnt& OffsetPoint) ; //! Same as above,may add one or
//! two Arrows according to value
Standard_EXPORT static void Add(const Handle(Prs3d_Presentation)& aPresentation,const Handle(Prs3d_Drawer)& aDrawer,const Standard_Real theval,const TCollection_ExtendedString& thevalstring,const gp_Pnt& CenterPoint,const gp_Pnt& AttachmentPoint1,const gp_Pnt& AttachmentPoint2,const gp_Dir& dir1,const gp_Dir& dir2,const gp_Dir& axisdir,const Standard_Boolean isPlane,const gp_Ax1& AxisOfSurf,const gp_Pnt& OffsetPoint,const DsgPrs_ArrowSide ArrowSide) ; //! simple representation of a poor lonesome angle dimension
//! Draw a line from to , then operates
//! a rotation around the perpmay add one or
//! two Arrows according to value. The
//! attributes (color,arrowsize,...) are driven by the Drawer.
Standard_EXPORT static void Add(const Handle(Prs3d_Presentation)& aPresentation,const Handle(Prs3d_Drawer)& aDrawer,const Standard_Real theval,const gp_Pnt& theCenter,const gp_Pnt& AttachmentPoint1,const gp_Ax1& theAxe,const DsgPrs_ArrowSide ArrowSide) ; protected: private: }; // other Inline functions and methods (like "C++: function call" methods) #endif